Browse Docs
Archives (14)
Audio (38)
Documents (26)
Ebooks (7)
Fonts (13)
Images (62)
Video (10)
On This Page

PDF to DOCX

Convert PDF documents to Word documents.

Try PDF to Word in the browser →

Convert.FAST uses this same API — what you see in the browser is what you get in code.

Quick reference

Job typedocument.pdf-to-docx
targetFormatdocx
Categorydocuments
Input formats.pdf
Output extension.docx
Costing5 credit per page
Max file size1 GB
Max pages1000

Example

cURL
# 1) Submit
JOB_ID=$(curl -sS -X POST "https://api.tools.fast/convert" \
  -H "X-Fast-Api-Key: $API_KEY" \
  -F "file=@document.pdf" \
  -F "targetFormat=docx" | jq -r '.id')
# → 202 Accepted: {"id": "019e3a7b-...", "status": "Queued"}

# 2) Poll until terminal status
while true; do
  RESPONSE=$(curl -sS "https://api.tools.fast/convert/job/${JOB_ID}" \
    -H "X-Fast-Api-Key: $API_KEY")
  STATUS=$(echo "$RESPONSE" | jq -r '.status')
  [ "${STATUS}" = "Succeeded" ] && break
  [ "${STATUS}" = "Failed" ] || [ "${STATUS}" = "Canceled" ] && { echo "$RESPONSE" | jq; exit 1; }
  sleep 1
done

# 3) Download
curl -sS "https://api.tools.fast/convert/job/${JOB_ID}/download" \
  -H "X-Fast-Api-Key: $API_KEY" \
  -o "document.docx"
# → Binary file (application/vnd.openxmlformats-officedocument.wordprocessingml.document, 600.0 KB)

With options

cURL
JOB_ID=$(curl -sS -X POST "https://api.tools.fast/convert" \
  -H "X-Fast-Api-Key: $API_KEY" \
  -F "file=@document.pdf" \
  -F "targetFormat=docx" \
  -F 'options={"ocr":{"enabled":true,"force":false}}' | jq -r '.id')

Options

This converter supports the following options. See Options Reference for full details.

OptionDescriptionDefault
ocrOptical Character Recognition settings for document conversionenabled: true, force: false

Cost estimate

cURL
curl -sS "https://api.tools.fast/convert/estimate/pdf/docx?pageCount=50"
Copied.